/****************************************************************************
**
** Copyright (C) 2020 The Qt Company Ltd.
** Contact: https://www.qt.io/licensing/
**
** This file is part of the release tools of the Qt Toolkit.
**
** $QT_BEGIN_LICENSE:GPL-EXCEPT$
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and The Qt Company. For licensing terms
** and conditions see https://www.qt.io/terms-conditions. For further
** information use the contact form at https://www.qt.io/contact-us.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 3 as published by the Free Software
** Foundation with exceptions as appearing in the file LICENSE.GPL3-EXCEPT
** included in the packaging of this file. Please review the following
** information to ensure the GNU General Public License requirements will
** be met: https://www.gnu.org/licenses/gpl-3.0.html.
**
** $QT_END_LICENSE$
**
****************************************************************************/

// constructor
function Component()
{
    // Determine if this is a online snapshot build
    var snapshotBuild = false;
    var isSnapshotStr = "false";
    if (['true', 'yes', '1'].indexOf(isSnapshotStr) >= 0)
        snapshotBuild = true;

    if (snapshotBuild) {
        // Add automatic dependency for preview component
        var autoDependency = component.value("AutoDependOn");
        var dependencyStr = "preview.qt.qt6.61";
        if (autoDependency) {
            component.setValue("AutoDependOn", autoDependency + "," + dependencyStr)
        }
        else {
            component.setValue("AutoDependOn", dependencyStr)
        }
        // hide main node when in snapshot mode
        if (!installer.isOfflineOnly())
            component.setValue("Virtual", "true")
    }
    // is this OpenSource installation?
    var isOpenSource = "true";
    if (['false', 'no', '0'].indexOf(isOpenSource) >= 0) {
        var enterpriseLicenseDependency = component.value("Dependencies");
        var enterpriseLicenseDependencyStr = "qt.license.collection";
        if (enterpriseLicenseDependency)
            component.setValue("Dependencies", enterpriseLicenseDependency + "," + enterpriseLicenseDependencyStr)
        else
            component.setValue("Dependencies", enterpriseLicenseDependencyStr)
    }
    else {
        var lgplLicenseDependency = component.value("Dependencies");
        var lgplLicenseDependencyStr = "qt.license.thirdparty, qt.license.lgpl";
        if (lgplLicenseDependency)
            component.setValue("Dependencies", lgplLicenseDependency + "," + lgplLicenseDependencyStr)
        else
            component.setValue("Dependencies", lgplLicenseDependencyStr)
    }
    var releaseDate = component.value("ReleaseDate");
    var dynamicDescription = "Qt 6.1.2 <br><br>" + releaseDate + "<br><br> sha1: 3bb48b163f38eaaa4769779e506961b9038ec5d5"
    component.setValue("Description", dynamicDescription)
}

Component.prototype.createOperations = function()
{
    component.createOperations();
}

